List Finding Patches
curl --request GET \
--url https://api.mindfort.app/v1/findings/patches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/findings/patches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/findings/patches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/findings/patches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"patches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finding_type": "red-team",
"title": "<string>",
"severity_score": 123,
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_name": "<string>",
"status_updated_at": "2023-11-07T05:31:56Z",
"patch_created_at": "2023-11-07T05:31:56Z",
"patch_updated_at": "2023-11-07T05:31:56Z",
"pr_url": "<string>",
"patch_status": "<string>",
"patch_state": "<string>"
}
],
"total": 123
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}Findings
List Finding Patches
GET
/
v1
/
findings
/
patches
List Finding Patches
curl --request GET \
--url https://api.mindfort.app/v1/findings/patches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/findings/patches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/findings/patches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/findings/patches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"patches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finding_type": "red-team",
"title": "<string>",
"severity_score": 123,
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_name": "<string>",
"status_updated_at": "2023-11-07T05:31:56Z",
"patch_created_at": "2023-11-07T05:31:56Z",
"patch_updated_at": "2023-11-07T05:31:56Z",
"pr_url": "<string>",
"patch_status": "<string>",
"patch_state": "<string>"
}
],
"total": 123
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"request_id": "<string>"
}Required API key permission:
findings:read.Authorizations
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I